Solid Edge Part Type Library
Item Method
Variant (input) index.
Description
The items in a collection.
Syntax
Visual Basic
Public Function Item( _
   ByVal Index As Variant _
) As RefPlane
Parameters
Index
Variant (input) index.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objRPlanes As SolidEdgePart.RefPlanes
    Dim objRPItem As SolidEdgePart.RefPlane
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' geting the reference planes collection object
    Set objRPlanes = objDoc.RefPlanes
    ' getting a particular item of the reference planes collection object
    Set objRPItem = objRPlanes.Item(2)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objRPlanes = Nothing
    Set objRPItem = Nothing
End Sub
See Also

RefPlanes Collection  | RefPlanes Members

Send comments on this topic.